//+------------------------------------------------------------------+
//|                                                        ZoGIF.mqh |
//|                                            Copyright 2015, Zorro |
//|                              https://www.mql5.com/ru/users/zorro |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, Zorro"
#property link      "https://www.mql5.com/ru/users/zorro"
//+------------------------------------------------------------------+
//| GIF frame                                                        |
//+------------------------------------------------------------------+
struct ZoGIFFrame
  {
   uint              image[];
  };
//+------------------------------------------------------------------+
//| GIF image                                                        |
//+------------------------------------------------------------------+
struct ZoGIF
  {
   int               width;            // image width
   int               height;           // image height
   int               frame_count;      // count of frames
   int               delay[];          // frame delays
   ZoGIFFrame        frame[];          // frames

                    ~ZoGIF(){ ArrayResize(frame,0); }
  };
//+------------------------------------------------------------------+
//| Library function                                                 |
//+------------------------------------------------------------------+
#ifndef Zo_BUILD_LIB
#import "ZoLib/ZoGIF.ex5"
bool ZoGIFLoad(/* OUT */ZoGIF &gif,/* IN */const string path);
bool ZoGIFLoad(/* OUT */ZoGIF &gif,/* IN */const uchar &data[],/* IN OPT */int start=0,/* IN OPT */int count=WHOLE_ARRAY);
#import
#endif
//+------------------------------------------------------------------+
